Package net.shibboleth.idp.authn

# Class AuthenticationFlowDescriptor.ProxyCountPredicate

java.lang.Object
net.shibboleth.idp.authn.AuthenticationFlowDescriptor.ProxyCountPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

Enclosing class:
  AuthenticationFlowDescriptor

private final class AuthenticationFlowDescriptor.ProxyCountPredicate extends Object implements Predicate<ProfileRequestContext>
A `Predicate` that implements a cross-check between an effective proxy count of zero and whether a descriptor is honoring the limit.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ProxyCountPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### ProxyCountPredicate

private ProxyCountPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`